-- MySQL dump 9.11
--
-- Host: localhost    Database: cacert
-- ------------------------------------------------------
-- Server version	4.0.22_Debian-6-log

--
-- Table structure for table `alerts`
--

CREATE TABLE `alerts` (
  `memid` int(11) NOT NULL default '0',
  `general` tinyint(1) NOT NULL default '0',
  `country` tinyint(1) NOT NULL default '0',
  `regional` tinyint(1) NOT NULL default '0',
  `radius` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`memid`)
) TYPE=MyISAM;

--
-- Table structure for table `countries`
--

CREATE TABLE `countries` (
  `id` int(11) NOT NULL auto_increment,
  `abbr` char(3) NOT NULL default '',
  `long` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;

--
-- Table structure for table `domaincerts`
--

CREATE TABLE `domaincerts` (
  `id` int(11) NOT NULL auto_increment,
  `domid` int(11) NOT NULL default '0',
  `serial` varchar(50) NOT NULL default '',
  `CN` varchar(255) NOT NULL default '',
  `subject` text NOT NULL,
  `csr_name` varchar(255) NOT NULL default '',
  `crt_name` varchar(255) NOT NULL default '',
  `created` datetime NOT NULL default '0000-00-00 00:00:00',
  `modified` datetime NOT NULL default '0000-00-00 00:00:00',
  `revoked` datetime NOT NULL default '0000-00-00 00:00:00',
  `expire` datetime NOT NULL default '0000-00-00 00:00:00',
  `warning` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;

--
-- Table structure for table `domains`
--

CREATE TABLE `domains` (
  `id` int(11) NOT NULL auto_increment,
  `memid` int(11) NOT NULL default '0',
  `domain` varchar(255) NOT NULL default '',
  `created` datetime NOT NULL default '0000-00-00 00:00:00',
  `modified` datetime NOT NULL default '0000-00-00 00:00:00',
  `deleted` datetime NOT NULL default '0000-00-00 00:00:00',
  `hash` varchar(50) NOT NULL default '',
  `attempts` int(1) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;

--
-- Table structure for table `domlink`
--

CREATE TABLE `domlink` (
  `certid` int(11) NOT NULL default '0',
  `domid` int(11) NOT NULL default '0',
  UNIQUE KEY `index` (`certid`,`domid`)
) TYPE=MyISAM;

--
-- Table structure for table `email`
--

CREATE TABLE `email` (
  `id` int(11) NOT NULL auto_increment,
  `memid` int(11) NOT NULL default '0',
  `email` varchar(255) NOT NULL default '',
  `created` datetime NOT NULL default '0000-00-00 00:00:00',
  `modified` datetime NOT NULL default '0000-00-00 00:00:00',
  `deleted` datetime NOT NULL default '0000-00-00 00:00:00',
  `hash` varchar(50) NOT NULL default '',
  `attempts` int(1) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;

--
-- Table structure for table `emailcerts`
--

CREATE TABLE `emailcerts` (
  `id` int(11) NOT NULL auto_increment,
  `memid` int(11) NOT NULL default '0',
  `serial` varchar(50) NOT NULL default '',
  `CN` varchar(255) NOT NULL default '',
  `subject` text NOT NULL,
  `keytype` char(2) NOT NULL default 'NS',
  `codesign` tinyint(1) NOT NULL default '0',
  `csr_name` varchar(255) NOT NULL default '',
  `crt_name` varchar(255) NOT NULL default '',
  `created` datetime NOT NULL default '0000-00-00 00:00:00',
  `modified` datetime NOT NULL default '0000-00-00 00:00:00',
  `revoked` datetime NOT NULL default '0000-00-00 00:00:00',
  `expire` datetime NOT NULL default '0000-00-00 00:00:00',
  `warning` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;

--
-- Table structure for table `emaillink`
--

CREATE TABLE `emaillink` (
  `emailcertsid` int(11) NOT NULL default '0',
  `emailid` int(11) NOT NULL default '0',
  KEY `index` (`emailcertsid`,`emailid`)
) TYPE=MyISAM;

--
-- Table structure for table `gpg`
--

CREATE TABLE `gpg` (
  `id` int(11) NOT NULL auto_increment,
  `memid` int(11) NOT NULL default '0',
  `email` varchar(255) NOT NULL default '',
  `level` int(1) NOT NULL default '0',
  `multiple` tinyint(1) NOT NULL default '0',
  `expires` tinyint(1) NOT NULL default '0',
  `csr` varchar(255) NOT NULL default '',
  `crt` varchar(255) NOT NULL default '',
  `issued` datetime NOT NULL default '0000-00-00 00:00:00',
  `expire` datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;

--
-- Table structure for table `locations`
--

CREATE TABLE `locations` (
  `id` int(11) NOT NULL auto_increment,
  `ccid` int(11) NOT NULL default '0',
  `regid` int(11) NOT NULL default '0',
  `abbr` char(3) NOT NULL default '',
  `long` varchar(255) NOT NULL default '',
  `longalt` varchar(255) NOT NULL default '',
  `lat` decimal(8,5) NOT NULL default '0.00000',
  `lon` decimal(8,5) NOT NULL default '0.00000',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `thekey` (`ccid`,`regid`,`abbr`)
) TYPE=MyISAM;

--
-- Table structure for table `news`
--

CREATE TABLE `news` (
  `id` int(11) NOT NULL auto_increment,
  `when` datetime NOT NULL default '0000-00-00 00:00:00',
  `who` varchar(255) NOT NULL default '',
  `short` varchar(255) NOT NULL default '',
  `story` text NOT NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;

--
-- Table structure for table `notary`
--

CREATE TABLE `notary` (
  `from` int(11) NOT NULL default '0',
  `to` int(11) NOT NULL default '0',
  `points` int(3) NOT NULL default '0',
  `method` enum('Face to Face Meeting','Trusted 3rd Parties','Thawte Points Transfer','Administrative Increase','CT Magazine - Germany','Temporary Increase') NOT NULL default 'Face to Face Meeting',
  `location` varchar(255) NOT NULL default '',
  `date` varchar(255) NOT NULL default '',
  `when` datetime NOT NULL default '0000-00-00 00:00:00',
  `expire` datetime NOT NULL default '0000-00-00 00:00:00',
  `sponsor` int(11) NOT NULL default '0',
  KEY `from` (`from`),
  KEY `to` (`to`)
) TYPE=MyISAM;

--
-- Table structure for table `org`
--

CREATE TABLE `org` (
  `orgid` int(11) NOT NULL default '0',
  `memid` int(11) NOT NULL default '0',
  `OU` varchar(255) NOT NULL default '',
  `masteracc` int(1) NOT NULL default '0',
  `comments` text NOT NULL,
  UNIQUE KEY `orgid` (`orgid`,`memid`)
) TYPE=MyISAM;

--
-- Table structure for table `orgdomaincerts`
--

CREATE TABLE `orgdomaincerts` (
  `id` int(11) NOT NULL auto_increment,
  `orgid` int(11) NOT NULL default '0',
  `subject` text NOT NULL,
  `serial` varchar(50) NOT NULL default '',
  `CN` varchar(255) NOT NULL default '',
  `csr_name` varchar(255) NOT NULL default '',
  `crt_name` varchar(255) NOT NULL default '',
  `created` datetime NOT NULL default '0000-00-00 00:00:00',
  `modified` datetime NOT NULL default '0000-00-00 00:00:00',
  `revoked` datetime NOT NULL default '0000-00-00 00:00:00',
  `expire` datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;

--
-- Table structure for table `orgdomains`
--

CREATE TABLE `orgdomains` (
  `id` int(11) NOT NULL auto_increment,
  `orgid` int(11) NOT NULL default '0',
  `domain` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;

--
-- Table structure for table `orgdomlink`
--

CREATE TABLE `orgdomlink` (
  `orgcertid` int(11) NOT NULL default '0',
  `orgdomid` int(11) NOT NULL default '0',
  UNIQUE KEY `index` (`orgcertid`,`orgdomid`)
) TYPE=MyISAM;

--
-- Table structure for table `orgemailcerts`
--

CREATE TABLE `orgemailcerts` (
  `id` int(11) NOT NULL auto_increment,
  `orgid` int(11) NOT NULL default '0',
  `serial` varchar(50) NOT NULL default '',
  `CN` varchar(255) NOT NULL default '',
  `subject` text NOT NULL,
  `keytype` char(2) NOT NULL default 'NS',
  `csr_name` varchar(255) NOT NULL default '',
  `crt_name` varchar(255) NOT NULL default '',
  `created` datetime NOT NULL default '0000-00-00 00:00:00',
  `modified` datetime NOT NULL default '0000-00-00 00:00:00',
  `revoked` datetime NOT NULL default '0000-00-00 00:00:00',
  `expire` datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;

--
-- Table structure for table `orgemaillink`
--

CREATE TABLE `orgemaillink` (
  `emailcertsid` int(11) NOT NULL default '0',
  `domid` int(11) NOT NULL default '0',
  KEY `index` (`emailcertsid`,`domid`)
) TYPE=MyISAM;

--
-- Table structure for table `orginfo`
--

CREATE TABLE `orginfo` (
  `id` int(11) NOT NULL auto_increment,
  `contact` varchar(255) NOT NULL default '',
  `O` varchar(255) NOT NULL default '',
  `L` varchar(255) NOT NULL default '',
  `ST` varchar(255) NOT NULL default '',
  `C` char(2) NOT NULL default '',
  `comments` text NOT NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;

--
-- Table structure for table `regions`
--

CREATE TABLE `regions` (
  `id` int(11) NOT NULL auto_increment,
  `ccid` int(11) NOT NULL default '0',
  `abbr` char(3) NOT NULL default '',
  `long` varchar(255) NOT NULL default '',
  `type` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `ccid` (`id`,`ccid`)
) TYPE=MyISAM;

--
-- Table structure for table `users`
--

CREATE TABLE `users` (
  `id` int(11) NOT NULL auto_increment,
  `email` varchar(255) NOT NULL default '',
  `password` varchar(255) NOT NULL default '',
  `fname` varchar(255) NOT NULL default '',
  `mname` varchar(255) NOT NULL default '',
  `lname` varchar(255) NOT NULL default '',
  `suffix` varchar(50) NOT NULL default '',
  `dob` date NOT NULL default '0000-00-00',
  `verified` int(1) NOT NULL default '0',
  `ccid` int(11) NOT NULL default '0',
  `regid` int(11) NOT NULL default '0',
  `locid` int(11) NOT NULL default '0',
  `listme` int(1) NOT NULL default '0',
  `codesign` int(1) NOT NULL default '0',
  `contactinfo` varchar(255) NOT NULL default '',
  `admin` tinyint(1) NOT NULL default '0',
  `language` varchar(5) NOT NULL default '',
  `Q1` varchar(255) NOT NULL default '',
  `Q2` varchar(255) NOT NULL default '',
  `Q3` varchar(255) NOT NULL default '',
  `Q4` varchar(255) NOT NULL default '',
  `Q5` varchar(255) NOT NULL default '',
  `A1` varchar(255) NOT NULL default '',
  `A2` varchar(255) NOT NULL default '',
  `A3` varchar(255) NOT NULL default '',
  `A4` varchar(255) NOT NULL default '',
  `A5` varchar(255) NOT NULL default '',
  `created` datetime NOT NULL default '0000-00-00 00:00:00',
  `modified` datetime NOT NULL default '0000-00-00 00:00:00',
  `deleted` datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;

